🚀 Digital ID portal is now live! Check out the overview to get started.
🚀 Digital ID portal is now live! Check out the overview to get started.
Generate an OAuth2 access token by exchanging your GBG GO API client credentials, required for all subsequent API calls.
curl --request POST \
--url https://api.auth.gbgplc.com/as/token.oauth2 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data 'client_id=<string>' \
--data 'client_secret=<string>' \
--data 'username=<string>' \
--data 'password=<string>' \
--data grant_type=password{
"access_token": "<string>",
"expires_in": 123,
"token_type": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://docs.go.gbgplc.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The client ID assigned to your organization.
The client secret assigned to your organization.
The username for API authentication.
The password for API authentication.
Must always be set to 'password'.
password Was this page helpful?
curl --request POST \
--url https://api.auth.gbgplc.com/as/token.oauth2 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data 'client_id=<string>' \
--data 'client_secret=<string>' \
--data 'username=<string>' \
--data 'password=<string>' \
--data grant_type=password{
"access_token": "<string>",
"expires_in": 123,
"token_type": "<string>"
}